import request from '../request.js';

/** 接口管理 */
const Api = {
  page: '/api/sys/inbox/page',
  save: '/api/sys/inbox/save',
  edit: '/api/sys/inbox/edit',
  getInboxByUserId: '/api/sys/inbox/getInboxByUserId',
  remove: '/api/sys/inbox/remove',
  removeBatch: '/api/sys/inbox/removeBatch'
}

/** 公告列表 (分页) */
export const page = data => {
  return request.request({
    url: Api.page,
    params: data,
    method: 'GET'
  })
}

/** 保存 */
export const save = data => {
  return request.request({
    url: Api.save,
    data: data,
    method: 'POST'
  })
}

/** 修改 */
export const edit = data => {
  return request.request({
    url: Api.edit,
    data: data,
    method: 'PUT'
  })
}

/** 删除 */
export const remove = data => {
  return request.request({
    url: Api.remove,
    params: data,
    method: 'DELETE'
  })
}

/** 批量删除 */
export const removeBatch = data => {
  return request.request({
    url: Api.removeBatch,
    params: data,
    method: 'DELETE'
  })
}

/** 根据用户Id获取个人私信 */
export const getInboxByUserId = data => {
  return request.request({
    url: Api.getInboxByUserId,
    params: data,
    method: 'POST'
  })
}
